package digital.laboratory.platform.reagent.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import digital.laboratory.platform.common.mybatis.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

@Data
@TableName(value = "location_info", autoResultMap = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "(位置信息修改日志)")
public class LocationInfo extends BaseEntity {

    @TableId(value = "id",type = IdType.ASSIGN_ID)
    private String id;
    @ApiModelProperty(value = "物品批次ID")
    private String batchDetailsId;

    @ApiModelProperty("上一次存放位置")
    private String oldLocation;

    @ApiModelProperty(value = "新的存放位置")
    private String newLocation;
}
