package digital.laboratory.platform.reagent.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import digital.laboratory.platform.reagent.entity.LocationInfo;
import digital.laboratory.platform.reagent.vo.LocationInfoVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface LocationInfoMapper extends BaseMapper<LocationInfo> {

    public List<LocationInfoVO> getListById(@Param("batchDetailsId") String batchDetailsId);
}
