package digital.laboratory.platform.reagent.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import digital.laboratory.platform.reagent.entity.LocationInfo;
import digital.laboratory.platform.reagent.mapper.LocationInfoMapper;
import digital.laboratory.platform.reagent.vo.LocationInfoVO;

import java.util.List;

public interface LocationInfoService extends IService<LocationInfo> {
    List<LocationInfoVO> getListById(String batchDetailsId);

    boolean addInfo(String batchDetailsId, String oldLocation, String newLocation);
}
