package digital.laboratory.platform.reagent.service;

import com.baomidou.mybatisplus.extension.service.IService;
import digital.laboratory.platform.reagent.dto.SupplierInformationDTO;
import digital.laboratory.platform.reagent.entity.SupplierInformation;
import digital.laboratory.platform.reagent.vo.SupplierInformationVO;

/**
 * (服务商/供应商信息)服务类
 *
 * @author Zhang Xiaolong created at  2023-03-10
 * @describe (服务商/供应商信息) 服务类
 */
public interface SupplierInformationService extends IService<SupplierInformation> {

    SupplierInformation addInfoById(SupplierInformationDTO supplierInformationDTO);

    SupplierInformation editInfoById(SupplierInformationDTO supplierInformationDTO);

    SupplierInformationVO getVOById(String supplierInformationId);
}
