package digital.laboratory.platform.reagent.controller;

import digital.laboratory.platform.common.core.util.R;
import digital.laboratory.platform.reagent.entity.ReferenceMaterial;
import digital.laboratory.platform.reagent.service.ReferenceMaterialService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

@RestController
@RequestMapping("/reference/material")
public class ReferenceMaterialController {

    @Autowired
    private ReferenceMaterialService referenceMaterialService;

    @PutMapping("/code")
    public R<ReferenceMaterial> addCode(@RequestBody ReferenceMaterial referenceMaterial) {

        ReferenceMaterial material = referenceMaterialService.getById(referenceMaterial.getId());
        material.setCode(referenceMaterial.getCode());
        if (referenceMaterialService.updateById(material)) {
            return R.ok(referenceMaterial, "录入条码信息成功");
        } else return R.failed(referenceMaterial, "录入条码信息出错");
    }
}
