package digital.laboratory.platform.reagent.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;


@Data
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "集中采购申请DTO")

public class CentralizedRequestDTO {

        @ApiModelProperty(value="集中采购申请ID")
        private String centralizedRequestId;

        @ApiModelProperty(value="采购目录编号")
        private String purchaseCatalogueNumber;

        @ApiModelProperty(value="申请数量")
        private Integer numberOfApplications;

        @ApiModelProperty(value="试剂耗材ID")
        private String reagentConsumableId;

        @ApiModelProperty(value="备注")
        private String remarks;

        @ApiModelProperty(value="集中采购申请明细Id")
        private String detailsOfCentralizedId;

        @ApiModelProperty(value="用途/购买理由")
        private String purpose;

}
