package digital.laboratory.platform.reagent.vo;

import digital.laboratory.platform.reagent.entity.CentralizedRequest;
import digital.laboratory.platform.reagent.entity.DetailsOfCentralized;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.models.auth.In;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;
import java.util.List;


@Data
@AllArgsConstructor
@NoArgsConstructor
@ApiModel(value = "集中采购申请VO")

public class CentralizedRequestVO extends CentralizedRequest {
    @ApiModelProperty(value="部门名称")

    private String department;

    private List<DetailsOfCentralizedVO> detailsOfCentralizedVOList;
    @ApiModelProperty(value="申请人名称")

    private String createName;

    private String auditorName;


    private String  type = "集中采购申请";







}
